Skip to content
Get started

Creates or updates discount prices for products.

POST/api/v2/public/products/discountprices

Creates or updates discount prices for products.

Header ParametersExpand Collapse
is_expire_discounts: optional boolean
is_flush: optional boolean
Body ParametersJSONExpand Collapse
discounts: optional array of object { is_delete, discount_description, discount_group, 7 more }

The list of discount price entries.

is_delete: boolean

When true, removes the existing discount entry.

discount_description: optional string

Human-readable description of the discount.

discount_group: optional string

Optional discount group identifier.

discount_id: optional string

Unique discount identifier.

discount_type: optional number

Numeric discount type.

formatint64
line_number: optional number

Line number on the discount.

formatint64
price: optional number

Discounted price value.

formatfloat
product_number: optional string

The product number this discount applies to.

valid_from: optional string

Start of the discount’s validity period.

formatdate-time
valid_to: optional string

End of the discount’s validity period.

formatdate-time
ReturnsExpand Collapse
success: boolean

Indicates whether the operation completed successfully.

data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

Creates or updates discount prices for products.

curl https://api.colleqtive.net/api/v2/public/products/discountprices \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "success": true,
  "data": "data",
  "message": "message"
}
Returns Examples
{
  "success": true,
  "data": "data",
  "message": "message"
}